'Nome       : StcResMov.sql
'Tipo       : SQL
'Data       : 2014/08/25
'Versao     : 1.1a
'Descricao  : Resumo de movimentos

'==============================================================================
'#VER - Historia de modificacoes
'==============================================================================
'- Versao : 1.1a  ____/__/__ --------------------------------------------------
'Permitir 3 digitos para codigo do armazem

'- Versao : 1.1   2014/07/18 --------------------------------------------------
'Novas opcoes de listagem
'Reorganizacao de listagens

'- Versao : 1.0b  2013/05/07 --------------------------------------------------
'Correccao do SQL para nome do artigo (usar tabela corrente)

'- Versao : 1.0a  2010/11/17 --------------------------------------------------
'Correccao de descricao de algumas listagens

'- Versao : 1.0   2010/10/10 --------------------------------------------------
'Versao base


'==============================================================================
#DEF - Definicao global do documento
'==============================================================================
Caracteres invalidos             [CarInv]=#
Subtotalizadores                 [SbtNiv]=2
##


'==============================================================================
#ESP - Campos especificos
'==============================================================================
##


'==============================================================================
#SQL - Comandos SQL
'==============================================================================
Base de dados           [BD]=EmpFic$("EMP","Cemp,Emp_Dat.mdb")
'Base de dados           [BD]=EmpFic$("EMP","Stc,Stc.mdb")


'------------------------------------------------------------------------------
'- generico -------------------------------------------------------------------
'------------------------------------------------------------------------------
Nome do artigo [Cmd]=ArtNom=+
   +SELECT Nome1$ as [NOME$] +
   +FROM {TB_StcMst} +
   +WHERE Art$ = '{ART.COD}'


'==============================================================================
'= ART ========================================================================
'==============================================================================
'------------------------------------------------------------------------------
'- Vendas por Artigo/Armazem --------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndArtArz=+
   +SELECT Art$ AS ART, ArzSai as ARZ, +
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Art$, ArzSai +
   +ORDER BY Art$, ArzSai


'------------------------------------------------------------------------------
'- Vendas por Artigo/Conta ----------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndArtCtu=+
   +SELECT Art$ AS ART, Ct$ AS CTU, +
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Art$, Ct$ +
   +ORDER BY Art$, Ct$


'------------------------------------------------------------------------------
'- Vendas por Artigo/Conta/Armazem --------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndArtCtuArz=+
   +SELECT Art$ AS ART, Ct$ AS CTU, ArzSai as ARZ, +
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Art$, Ct$, ArzSai +
   +ORDER BY Art$, Ct$, ArzSai


'------------------------------------------------------------------------------
'- Vendas por Artigo/Conta/Armazem/Vendedor -----------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndArtCtuArzVnd=+
   +SELECT Art$ AS ART, Ct$ AS CTU, ArzSai as ARZ, Vend as VND,+
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Art$, Ct$, ArzSai, Vend +
   +ORDER BY Art$, Ct$, ArzSai, Vend


'------------------------------------------------------------------------------
'- Vendas por Artigo/Vendedor -------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndArtVnd=+
   +SELECT Art$ AS ART, Vend as VND, +
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Art$, Vend +
   +ORDER BY Art$, Vend


'==============================================================================
'= ARZ ========================================================================
'==============================================================================
'------------------------------------------------------------------------------
'- Vendas por Armazem/Artigo --------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndArzArt=+
   +SELECT ArzSai as ARZ, Art$ AS ART,  +
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY ArzSai, Art$ +
   +ORDER BY ArzSai, Art$


'------------------------------------------------------------------------------
'- Vendas por Armazem/Conta ---------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndArzCtu=+
   +SELECT ArzSai as ARZ, Ct$ AS CTU,+
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY ArzSai, Ct$ +
   +ORDER BY ArzSai, Ct$


'------------------------------------------------------------------------------
'- Vendas por Armazem/Vendedor ------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndArzVnd=+
   +SELECT ArzSai as ARZ, Vend as VND,+
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY ArzSai, Vend +
   +ORDER BY ArzSai, Vend


'==============================================================================
'= CTU ========================================================================
'==============================================================================
'------------------------------------------------------------------------------
'- Vendas por Conta/Artigo ----------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndCtuArt=+
   +SELECT Ct$ AS CTU, Art$ AS ART, +
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Ct$, Art$ +
   +ORDER BY Ct$, Art$


'------------------------------------------------------------------------------
'- Vendas por Conta/Armazem ---------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndCtuArz=+
   +SELECT Ct$ AS CTU, ArzSai as ARZ, +
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Ct$, ArzSai +
   +ORDER BY Ct$, ArzSai


'------------------------------------------------------------------------------
'- Vendas por Conta/Vendedor --------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndCtuVnd=+
   +SELECT Ct$ AS CTU, Vend as VND, +
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Ct$, Vend +
   +ORDER BY Ct$, Vend


'==============================================================================
'= VND ========================================================================
'==============================================================================
'------------------------------------------------------------------------------
'- Vendas por Vendedor/Artigo -------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndVndArt=+
   +SELECT Art$ AS ART, Vend as VND,+
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Vend, Art$ +
   +ORDER BY Vend, Art$


'------------------------------------------------------------------------------
'- Vendas por Vendedor/Artigo/Conta -------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndVndArtCtu=+
   +SELECT Art$ AS ART, Ct$ AS CTU, Vend AS VND,+
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Vend, Art$, Ct$ +
   +ORDER BY Vend, Art$, Ct$


'------------------------------------------------------------------------------
'- Vendas por Vendedor/Armazem ------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndVndArz=+
   +SELECT Vend as VND, ArzSai as ARZ, +
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Vend, ArzSai +
   +ORDER BY Vend, ArzSai


'------------------------------------------------------------------------------
'- Vendas por Vendedor/Conta --------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndVndCtu=+
   +SELECT Ct$ AS CTU, Vend as VND,+
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Vend, Ct$ +
   +ORDER BY Vend, Ct$


'------------------------------------------------------------------------------
'- Vendas por Vendedor/Conta/Artigo -------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=ResVndVndCtuArt=+
   +SELECT Art$ AS ART, Ct$ AS CTU, Vend AS VND,+
   +SUM(Qu * VndSinQ) AS RQU, SUM(Vt * VndSinV) AS RVT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +GROUP BY Vend, Ct$, Art$ +
   +ORDER BY Vend, Ct$, Art$

##


'==============================================================================
'- TXT ------------------------------------------------------------------------
'==============================================================================
'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndArtCtu,Vendas Por Artigo/Conta

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndArtCtu_Cab
Listar linhas               [FxLIN]=VndArtCtu_Lin
Listar fim                  [FxFIM]=VndArtCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndArtCtu
Subtotalizadores           [SQLSbt]=ART
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndCtuArt,Vendas Por Conta/Artigo

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndCtuArt_Cab
Listar linhas               [FxLIN]=VndCtuArt_Lin
Listar fim                  [FxFIM]=VndCtuArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndCtuArt
Subtotalizadores           [SQLSbt]=CTU
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndArzArt,Vendas Por Armazem/Artigo

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndArzArt_Cab
Listar linhas               [FxLIN]=VndArzArt_Lin
Listar fim                  [FxFIM]=VndArzArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndArzArt
Subtotalizadores           [SQLSbt]=ARZ
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndArtArz,Vendas Por Artigo/Armazem

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndArtArz_Cab
Listar linhas               [FxLIN]=VndArtArz_Lin
Listar fim                  [FxFIM]=VndArtArz_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndArtArz
Subtotalizadores           [SQLSbt]=ART
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndVndCtu,Vendas Por Vendedor/Conta

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndVndCtu_Cab
Listar linhas               [FxLIN]=VndVndCtu_Lin
Listar fim                  [FxFIM]=VndVndCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndVndCtu
Subtotalizadores           [SQLSbt]=VND
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndVndArt,Vendas Por Vendedor/Artigo

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndVndArt_Cab
Listar linhas               [FxLIN]=VndVndArt_Lin
Listar fim                  [FxFIM]=VndVndArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndVndArt
Subtotalizadores           [SQLSbt]=VND
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndVndCtuArt,Vendas Por Vendedor/Conta/Artigo

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndVndCtuArt_Cab
Listar linhas               [FxLIN]=VndVndCtuArt_Lin
Listar fim                  [FxFIM]=VndVndCtuArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndVndCtuArt
Subtotalizadores           [SQLSbt]=VND,CTU
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndVndArtCtu,Vendas Por Vendedor/Artigo/Conta

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndVndArtCtu_Cab
Listar linhas               [FxLIN]=VndVndArtCtu_Lin
Listar fim                  [FxFIM]=VndVndArtCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndVndArtCtu
Subtotalizadores           [SQLSbt]=VND,ART
##


'==============================================================================
'- XLS ------------------------------------------------------------------------
'==============================================================================

'==============================================================================
'= ART ========================================================================
'==============================================================================

'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndArtArz,XLS - Vendas Por Artigo/Armazem

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndArtArz
Listar cabecalho            [FxCAB]=XlsVndArtArz_Cab
Listar linhas               [FxLIN]=XlsVndArtArz_Lin
Listar fim                  [FxFIM]=XlsVndArtArz_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndArtArz
Subtotalizadores           [SQLSbt]=ART

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndArtCtu,XLS - Vendas Por Artigo/Conta

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndArtCtu
Listar cabecalho            [FxCAB]=XlsVndArtCtu_Cab
Listar linhas               [FxLIN]=XlsVndArtCtu_Lin
Listar fim                  [FxFIM]=XlsVndArtCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndArtCtu
Subtotalizadores           [SQLSbt]=ART

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndArtVnd,XLS - Vendas Por Artigo/Vendedor

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndArtVnd
Listar cabecalho            [FxCAB]=XlsVndArtVnd_Cab
Listar linhas               [FxLIN]=XlsVndArtVnd_Lin
Listar fim                  [FxFIM]=XlsVndArtVnd_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndArtVnd
Subtotalizadores           [SQLSbt]=ART

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
'= ARZ ========================================================================
'==============================================================================

'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndArzArt,XLS - Vendas Por Armazem/Artigo

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndArzArt
Listar cabecalho            [FxCAB]=XlsVndArzArt_Cab
Listar linhas               [FxLIN]=XlsVndArzArt_Lin
Listar fim                  [FxFIM]=XlsVndArzArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndArzArt
Subtotalizadores           [SQLSbt]=ARZ

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndArzCtu,XLS - Vendas Por Armazem/Conta

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndArzCtu
Listar cabecalho            [FxCAB]=XlsVndArzCtu_Cab
Listar linhas               [FxLIN]=XlsVndArzCtu_Lin
Listar fim                  [FxFIM]=XlsVndArzCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndArzCtu
Subtotalizadores           [SQLSbt]=ARZ

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndArzVnd,XLS - Vendas Por Armazem/Vendedor

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndArzVnd
Listar cabecalho            [FxCAB]=XlsVndArzVnd_Cab
Listar linhas               [FxLIN]=XlsVndArzVnd_Lin
Listar fim                  [FxFIM]=XlsVndArzVnd_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndArzVnd
Subtotalizadores           [SQLSbt]=ARZ

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
'= CTU ========================================================================
'==============================================================================

'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndCtuArt,XLS - Vendas Por Conta/Artigo

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndCtuArt
Listar cabecalho            [FxCAB]=XlsVndCtuArt_Cab
Listar linhas               [FxLIN]=XlsVndCtuArt_Lin
Listar fim                  [FxFIM]=XlsVndCtuArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndCtuArt
Subtotalizadores           [SQLSbt]=CTU

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndCtuArz,XLS - Vendas Por Conta/Armazem

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndCtuArz
Listar cabecalho            [FxCAB]=XlsVndCtuArz_Cab
Listar linhas               [FxLIN]=XlsVndCtuArz_Lin
Listar fim                  [FxFIM]=XlsVndCtuArz_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndCtuArz
Subtotalizadores           [SQLSbt]=CTU

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndCtuVnd,XLS - Vendas Por Conta/Vendedor

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndCtuVnd
Listar cabecalho            [FxCAB]=XlsVndCtuVnd_Cab
Listar linhas               [FxLIN]=XlsVndCtuVnd_Lin
Listar fim                  [FxFIM]=XlsVndCtuVnd_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndCtuVnd
Subtotalizadores           [SQLSbt]=CTU

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
'= VND ========================================================================
'==============================================================================

'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndVndArt,XLS - Vendas Por Vendedor/Artigo

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndVndArt
Listar cabecalho            [FxCAB]=XlsVndVndArt_Cab
Listar linhas               [FxLIN]=XlsVndVndArt_Lin
Listar fim                  [FxFIM]=XlsVndVndArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndVndArt
Subtotalizadores           [SQLSbt]=VND

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndVndArtCtu,XLS - Vendas Por Vendedor/Artigo/Conta

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndVndArtCtu
Listar cabecalho            [FxCAB]=XlsVndVndArtCtu_Cab
Listar linhas               [FxLIN]=XlsVndVndArtCtu_Lin
Listar fim                  [FxFIM]=XlsVndVndArtCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndVndArtCtu
Subtotalizadores           [SQLSbt]=VND,ART

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndVndArz,XLS - Vendas Por Vendedor/Armazem

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndVndArz
Listar cabecalho            [FxCAB]=XlsVndVndArz_Cab
Listar linhas               [FxLIN]=XlsVndVndArz_Lin
Listar fim                  [FxFIM]=XlsVndVndArz_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndVndArz
Subtotalizadores           [SQLSbt]=VND

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndVndCtu,XLS - Vendas Por Vendedor/Conta

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndVndCtu
Listar cabecalho            [FxCAB]=XlsVndVndCtu_Cab
Listar linhas               [FxLIN]=XlsVndVndCtu_Lin
Listar fim                  [FxFIM]=XlsVndVndCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndVndCtu
Subtotalizadores           [SQLSbt]=VND

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndVndCtuArt,XLS - Vendas Por Vendedor/Conta/Artigo

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndVndCtuArt
Listar cabecalho            [FxCAB]=XlsVndVndCtuArt_Cab
Listar linhas               [FxLIN]=XlsVndVndCtuArt_Lin
Listar fim                  [FxFIM]=XlsVndVndCtuArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndVndCtuArt
Subtotalizadores           [SQLSbt]=VND,CTU

Matriz auxiliar            [DocMat]=StcResMov.xls
##


'==============================================================================
'- EXP ------------------------------------------------------------------------
'==============================================================================
'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=ExpVndArtCtu,Exp. Vendas: Artigo/Conta (XLS)

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=ExpVndArtCtu
Listar cabecalho            [FxCAB]=ExpVndArtCtu_Cab
Listar linhas               [FxLIN]=ExpVndArtCtu_Lin
Listar fim                  [FxFIM]=ExpVndArtCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndArtCtu
Subtotalizadores           [SQLSbt]=

Matriz auxiliar            [DocMat]=StcResMovExp.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=ExpVndArtCtuArz,Exp. Vendas: Artigo/Conta/Armazem (XLS)

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=ExpVndArtCtuArz
Listar cabecalho            [FxCAB]=ExpVndArtCtuArz_Cab
Listar linhas               [FxLIN]=ExpVndArtCtuArz_Lin
Listar fim                  [FxFIM]=ExpVndArtCtuArz_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndArtCtuArz
'Gerador de dados a listar  [SQLDat]=ResVndArzArt
Subtotalizadores           [SQLSbt]=

Matriz auxiliar            [DocMat]=StcResMovExp.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=ExpVndACAV,Exp. Vendas: Art/Ct/Arz/Vnd (XLS)

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=ExpVndArtCtuArzVnd
Listar cabecalho            [FxCAB]=ExpVndArtCtuArzVnd_Cab
Listar linhas               [FxLIN]=ExpVndArtCtuArzVnd_Lin
Listar fim                  [FxFIM]=ExpVndArtCtuArzVnd_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndArtCtuArzVnd
'Gerador de dados a listar  [SQLDat]=ResVndArzArt
Subtotalizadores           [SQLSbt]=

Matriz auxiliar            [DocMat]=StcResMovExp.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=ExpVndVA,Exp. Vendas: Vendedor/Artigo (XLS)

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=ExpVndVndArt
Listar cabecalho            [FxCAB]=ExpVndVndArt_Cab
Listar linhas               [FxLIN]=ExpVndVndArt_Lin
Listar fim                  [FxFIM]=ExpVndVndArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndVndArt
Subtotalizadores           [SQLSbt]=

Matriz auxiliar            [DocMat]=StcResMovExp.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=ExpVndVC,Exp. Vendas: Vendedor/Conta (XLS)

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=80
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=ExpVndVndCtu
Listar cabecalho            [FxCAB]=ExpVndVndCtu_Cab
Listar linhas               [FxLIN]=ExpVndVndCtu_Lin
Listar fim                  [FxFIM]=ExpVndVndCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=ResVndVndCtu
Subtotalizadores           [SQLSbt]=

Matriz auxiliar            [DocMat]=StcResMovExp.xls
##


'==============================================================================
#VAR - Variaveis
'==============================================================================
Tipo     = MemTxt$(1)
Pag      = Doc_CntPag
Tit080   = TxTit$("TT=10CPI, LD, PT=40C",Memtxt$(1))
Tit132   = TxTit$("TT=16CPI, LD, PT=66C",Memtxt$(1))
DataExt  = FrmVal$(Sig_DtHoje,45,0)

'- dados a listar -------------------------------------------------------------
vEntCod  = entCod$                              'entidade - codigo
vEntCov  = entCov$                              'entidade - codigo formatado
vEntIde  = entIde$                              'entidade - identificacao

vObs     = usaObs$                              'observacaoes

'resumo
vaResQu  = FrmNum$(6.3,resQu)                   'quantidade
vaResVt  = FrmNum$(12.2,resVt)                  'valor

'artigo
vArtCod  = artCod$                              'codigo
vArtCov  = artCov$                              'codigo formatado
vArtNom  = artNom$                              'nome

'conta
vCtCod   = CTA_MST_Ct$                          'codigo da conta
vCtNom   = CTA_MST_Nome$                        'nome

'armazem
vArzCod  = arzCod$                              'codigo
vArzCov  = arzCov$                              'codigo formatado
vArzNom  = arzNom$                              'nome

'vendedor
vVndCod  = vndCod$                              'codigo
vVndCov  = vndCov$                              'codigo formatado
vVndNom  = vndNom$                              'nome

'- diversos -------------------------------------------------------------------
'contagem
toNrg    = FrmNum$(9.0,TotCnt("vEntCov",0))     'numero de registos - total
s1Nrg    = FrmNum$(9.0,TotCnt("vEntCov",1))     'numero de registos - subtotal 1
s2Nrg    = FrmNum$(9.0,TotCnt("vEntCov",2))     'numero de registos - subtotal 2

'resumo
toResQu  = FrmNum$(6.3,Total("vaResQu",0))      'quantidade - total
s1ResQu  = FrmNum$(6.3,Total("vaResQu",1))      'quantidade - subtotal 1
s2ResQu  = FrmNum$(6.3,Total("vaResQu",2))      'quantidade - subtotal 2

toResVt  = FrmNum$(12.2,Total("vaResVt",0))     'valor - total
s1ResVt  = FrmNum$(12.2,Total("vaResVt",1))     'valor - subtotal 1
s2ResVt  = FrmNum$(12.2,Total("vaResVt",2))     'valor - subtotal 2
##


'==============================================================================
#PGM - Programa/Funcoes
'==============================================================================
'- +--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+
'- (13) --->'Comentario
'- (25) --------------->'Comentario
'- (28) ------------------>'Comentario
'- (40) ------------------------------>'Comentario
'- (43) --------------------------------->'Comentario
'- (46) ------------------------------------>'Comentario
'- (49) --------------------------------------->'Comentario
'- (52) ------------------------------------------>'Comentario
'- (55) --------------------------------------------->'Comentario
'- (58) ------------------------------------------------>'Comentario
'- (61) --------------------------------------------------->'Comentario
'- (64) ------------------------------------------------------>'Comentario
'- (67) --------------------------------------------------------->'Comentario
'- (70) ------------------------------------------------------------>'Comentario


Sub FxIni 'funcao de inicializacao
'nada a excutar
end sub


Sub FxFim 'funcao de finalizacao
'nada a excutar
end sub


Sub Lst_AJT 'ajuste
'nada a excutar
end sub


'=============================================================================
'- Comum ---------------------------------------------------------------------
'=============================================================================
'-----------------------------------------------------------------------------
'- [VAR] - Variaveis ---------------------------------------------------------
'-----------------------------------------------------------------------------
Sub Com_Var_Con 'consultar variaveis
artCod$ = SqlCmp$("ART")                           'artigo
ctuCod$ = SqlCmp$("CTU")                           'conta

arzCod  = SqlCmp("ARZ")                            'armazem
vndCod  = SqlCmp("VND")                            'vendedor

resQu   = SqlCmp("RQU")                            'quantidade
resVt   = SqlCmp("RVT")                            'valor
end sub


Sub Com_Var_Prp 'preparar variaveis
usaObs$ = ""                                       'anular observacoes
call Com_Var_Con                                   'consultar variaveis

'preparar valores
call Com_Var_PrpArt                                'preparar variaveis - artigo
call Com_Var_PrpArz                                'preparar variaveis - armazem
call Com_Var_PrpVnd                                'preparar variaveis - vendedor
call Com_Var_PrpCtu                                'preparar variaveis - conta
end sub


Sub Com_Var_PrpArt 'preparar variaveis - artigo
res     = SqlOpcAct("Art.Cod",artCod$)             'registar artigo
res     = SqlCalc("ARTNOM")                        'preparar nome do artigo

artCov$ = StcCodFrm$(artCod$)                      'codigo formatado
artNom$ = SqlOpcCon$("NOME$")                      'nome
artIde$ = artCov$ + " - " + artNom$                'identificacao
end sub


Sub Com_Var_PrpArz 'preparar variaveis - armazem
'arzCov$ = TxtCv$(arzCod)                          'codigo formatado
'arzCov$ = NumTxt$(arzCod, 2)                      'codigo formatado
arzCov$ = NumTxt$(arzCod, 3)                       'codigo formatado
arzNom$ = "Armazem " + arzCov$                     'nome
arzIde$ = "Armazem " + arzCov$                     'identificacao
end sub


Sub Com_Var_PrpVnd 'preparar variaveis - vendedor
vndCov$ = NumTxt$(vndCod, 2)                       'codigo formatado
vndNom$ = EmpTabCon$("VEND", vndCod, "NOME")       'nome
vndIde$ = vndCov$ + " - " + vndNom$                'identificacao
end sub


Sub Com_Var_PrpCtu 'preparar variaveis - conta
res  = CtaContaLer(ctuCod$)                        'preparar dados da conta

ctuCov$ = CTA_MST_Ct$                              'codigo formatado
ctuNom$ = CTA_MST_Nome$                            'nome
ctuIde$ = ctuCov$ + " - " + ctuNom$                'identificacao
end sub


'-----------------------------------------------------------------------------
'- [TXT] - Listar em modo texto ----------------------------------------------
'-----------------------------------------------------------------------------
Sub Com_Txt_Cab 'cabecalho - texto
'cabTit$ = "Titulo"
FxDiv LstIde,10CPI,0
print TxTit$("TT=10CPI, LD, PT=40C, TL=10CPI",comCabTit$)
?Data: @DataExt                                                   Folha No: @Pag#
?================================================================================
?  Codigo         Nome                              Quantidade           Valor  #
'123456789.12345  123456789.123456789.123456789.12  12,345.123   -123,456,789.12#
?================================================================================
end sub


Sub Com_Txt_LinExe 'executar linha
?@vEntCov        @vEntIde                           @vaResQu     @vaResVt       #
end sub


Sub Com_Txt_Fim 'terminar
?================================================================================
?   Totais: @toNrg                                  @toResQu     @toResVt       #
?================================================================================
FxDiv LstPer,SP
'Print PrtCmd$("[SP]");
end sub


Sub Com_Txt_LinTit1 'titulo 1
if titIde$ <> "" then                              'ha titulo ?
   tmp = CntLin("INC", 1)                          'contar linhas
   print tab(5) titIde$                            'listar 
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Txt_LinTit2 'titulo 2
if titIde$ <> "" then                              'ha titulo ?
   tmp = CntLin("INC", 1)                          'contar linhas
   print tab(5) titIde$                            'listar 
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Txt_LinSbt1 'subtotal 1
nrg = TotCnt("vEntCov",1)                          'numero de registos

if nrg > 1 then                                    'listar numero ?
?           @s1Nrg                                  @s1ResQu     @s1ResVt       #
   tmp=CntLin("INC", 1)                            'contar linhas
end if

tmp=CntLin("INC", 1)                               'contar linhas
print                                              'separar

x = TotLpz(1)                                      'limpar totais
end sub


Sub Com_Txt_LinSbt2 'subtotal 2
nrg = TotCnt("vEntCov",2)                          'numero de registos

if nrg > 1 then                                    'listar numero ?
?           @s2Nrg                                  @s2ResQu     @s2ResVt       #
   tmp=CntLin("INC", 1)                            'contar linhas
end if

if sepSbt2 = 1 then                                'separar subtotal 2 ?
   tmp=CntLin("INC", 1)                            'contar linhas
   print                                           'separar
end if

sepSbt2 = 1                                        'separar subtotal 2
x = TotLpz(2)                                      'limpar totais
end sub


'------------------------------------------------------------------------------
'- [XLS] - Listar para EXCEL --------------------------------------------------
'------------------------------------------------------------------------------
Sub Com_Xls_DocIni 'inicializar documento
xlsOpcNfi$ = "RND:" + comXlsFic$                   'nome do ficheiro a gerar
xlsOpcWks$ = ""                                    'nome da woorksheet

call XlsComDoc_IniMat                              'inicializar documento por matriz

'preparacao especifica
res = XlsWks("Valores")                            'activar worksheet

'preparar cabecalho
empNum$ = Emp_Inf_Cod$                             'numero da empresa
empNom$ = Emp_Inf_Nome$                            'nome da empresa
lstTit$ = comCabTit$                               'titulo da listagem
lstTip$ = MemTxt$(2)                               'tipo da listagem
lstDt$  = FrmDt$("EXT", Sig_DtHoje)                'data para listagem

res = XlsIdeLst("Emp_Num" , empNum$)               'numero da empresa
res = XlsIdeLst("Emp_Nome", empNom$)               'nome da empresa
res = XlsIdeLst("Lst_Tit" , lstTit$)               'titulo da listagem
res = XlsIdeLst("Lst_Tipo", lstTip$)               'tipo da listagem
res = XlsIdeLst("Lst_Data", lstDt$)                'data

call XlsComLin_Ini                                 'iniciar linhas

'definicao das colunas
coNrg    = 2                                       'numero de registos - total
coNrs    = 3                                       'numero de registos - subtotal

coCod    = 2                                       'codigo
coNom    = 3                                       'nome

coResQu  = 4                                       'quantidade
coResVt  = 5                                       'valor
end sub


Sub Com_Xls_DocFim 'terminar documento
'res = XlsWksAct("A", 1)                            'activar worksheet
call XlsComDoc_Fim                                 'terminar/mostrar documento
end sub


Sub Com_Xls_IncLin 'incrementar linha
'call XlsComLin_Inc                                 'incrementar linha
call XlsComLin_IncRep                              'incrementar linha + repor formato normal

zon$ = XlsZon$(liUsa, coCod,liUsa, coNom)          'zona
'zon$= XlsZonNum$("L", liUsa)                      'zona da linha
res = XlsAli(zon$, "<")                            'alinhamento
end sub


Sub Com_Xls_LinSep 'linha de separacao
call XlsVnd_IncLin                                 'incrementar linha
end sub


Sub Com_Xls_LstLinIde 'listar linha - identificacao (codigo e nome)
res = XlsLst(liUsa, coCod, vaCod$)                 'codigo
res = XlsLst(liUsa, coNom, vaNom$)                 'nome
end sub


Sub Com_Xls_LstLinArt 'listar linha - artigo
res = XlsLst(liUsa, coArtCod, artCod$)             'codigo
res = XlsLst(liUsa, coArtNom, artNom$)             'nome
end sub


Sub Com_Xls_LstLinArz 'listar linha - armazem
res = XlsLst(liUsa, coArzCod, arzCod)              'codigo
end sub


Sub Com_Xls_LstLinVnd 'listar linha - vendedor
res = XlsLst(liUsa, coVndCod, vndCod)              'codigo
end sub


Sub Com_Xls_LstLinCtu 'listar linha - conta
res = XlsLst(liUsa, coCtuCod, ctuCod$)             'codigo
res = XlsLst(liUsa, coCtuNom, ctuNom$)             'nome
end sub


Sub Com_Xls_LstLinRes 'listar linha - resumo
res = XlsLst(liUsa, coResQu, resQu)                'quantidade
res = XlsLst(liUsa, coResVt, resVt)                'valor total
'- (52) ------------------------------------------>'Comentario

res = AcmExe("vaResQu", resQu)                     'acumular - quantidade
res = AcmExe("vaResVt", resVt)                     'acumular - valor
end sub


Sub Com_Xls_LstTot 'listar totais
call XlsComLin_Fim                                 'fim de linhas

vNrg   = TotCnt("vaResQu", 0)                      'numero de registos
vResQu = Total("vaResQu", 0)                       'quantidade
vResVt = Total("vaResVt", 0)                       'valor

'listar
liUsa = linFim                                     'linha a usar

call XlsComLin_ActBI                               'activar linha em BOLD+ITALICO
res = XlsLst(liUsa, coNrg, vNrg)                   'numero de registos
res = XlsLst(liUsa, coResQu, vResQu)               'total quantidade
res = XlsLst(liUsa, coResVt, vResVt)               'total valor
end sub


Sub Com_Xls_LinTit1 'titulo 1
if titIde$ <> "" then                              'ha titulo ?
   call Com_Xls_IncLin                             'incrementar linha	

   res = XlsLst(liUsa, coNom, titIde$)             'listar identificacao
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Xls_LinTit2 'titulo 2
if titIde$ <> "" then                              'ha titulo ?
   call Com_Xls_IncLin                             'incrementar linha	

   res = XlsLst(liUsa, coNom, titIde$)             'listar identificacao
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Xls_SbtNrg 'numero de registos do subtotal
res = XlsLst(liUsa, coNrs, vNrg)                   'numero de registos

zon$ = XlsZon$(liUsa, coNrs)                       'zona
res = XlsAli(zon$, "|")                            'alinhamento
end sub


Sub Com_Xls_LinSbt1 'subtotal 1
vNrg   = TotCnt("vaResQu", 1)                      'numero de registos
vResQu = Total("vaResQu", 1)                       'quantidade
vResVt = Total("vaResVt", 1)                       'valor

if vNrg > 1 then                                   'listar numero ?
   call Com_Xls_IncLin                             'incrementar linha	
   call XlsComLin_ActBI                            'activar linha em BOLD+ITALICO

   call Com_Xls_SbtNrg                             'numero de registos do subtotal
   res = XlsLst(liUsa, coResQu, vResQu)            'total quantidade
   res = XlsLst(liUsa, coResVt, vResVt)            'total valor
end if

call Com_Xls_IncLin                                'incrementar linha	

x = TotLpz(1)                                      'limpar totais
end sub


Sub Com_Xls_LinSbt2 'subtotal 2
vNrg   = TotCnt("vaResQu", 2)                      'numero de registos
vResQu = Total("vaResQu", 2)                       'quantidade
vResVt = Total("vaResVt", 2)                       'valor

if vNrg > 1 then                                   'listar numero ?
   call Com_Xls_IncLin                             'incrementar linha	
   call XlsComLin_ActBI                            'activar linha em BOLD+ITALICO

   call Com_Xls_SbtNrg                             'numero de registos do subtotal
   res = XlsLst(liUsa, coResQu, vResQu)            'total quantidade
   res = XlsLst(liUsa, coResVt, vResVt)            'total valor
end if

if sepSbt2 = 1 then                                'separar subtotal 2 ?
   call Com_Xls_IncLin                             'incrementar linha	
end if

sepSbt2 = 1                                        'separar subtotal 2
x = TotLpz(2)                                      'limpar totais
end sub


'==============================================================================
'- [TXT] - Listar em modo texto -----------------------------------------------
'==============================================================================
'------------------------------------------------------------------------------
'- [TXT] - Vendas por artigo/conta ------------------------------------------
'------------------------------------------------------------------------------
Sub VndArtCtu_Cab 'cabecalho
comCabTit$ = "Vendas por Artigo/Conta"             'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndArtCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = ctuCod$                                  'entidade - codigo
entCov$ = ctuCov$                                  'entidade - codigo formatado
entIde$ = ctuNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndArtCtu_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndArtCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndArtCtu_LinSbt1 'subtotal 1
call Com_Txt_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por conta/artigo --------------------------------------------
'------------------------------------------------------------------------------
Sub VndCtuArt_Cab 'cabecalho
comCabTit$ = "Vendas por Conta/Artigo"             'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndCtuArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = artCod$                                  'entidade - codigo
entCov$ = artCov$                                  'entidade - codigo formatado
entIde$ = artNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndCtuArt_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndCtuArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndCtuArt_LinSbt1 'subtotal 1
call Com_Txt_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por armazem/artigo ------------------------------------------
'------------------------------------------------------------------------------
Sub VndArzArt_Cab 'cabecalho
comCabTit$ = "Vendas por Armazem/Artigo"           'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndArzArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = artCod$                                  'entidade - codigo
entCov$ = artCov$                                  'entidade - codigo formatado
entIde$ = artNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndArzArt_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndArzArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArz                                'preparar variaveis - armazem

titIde$ = arzIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndArzArt_LinSbt1 'subtotal 1
call Com_Txt_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por artigo/armazem ------------------------------------------
'------------------------------------------------------------------------------
Sub VndArtArz_Cab 'cabecalho
comCabTit$ = "Vendas por Artigo/Armazem"           'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndArtArz_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = arzCod$                                  'entidade - codigo
entCov$ = "   " + arzCov$                          'entidade - codigo formatado
entIde$ = arzIde$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndArtArz_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndArtArz_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndArtArz_LinSbt1 'subtotal 1
call Com_Txt_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por vendedor/conta ------------------------------------------
'------------------------------------------------------------------------------
Sub VndVndCtu_Cab 'cabecalho
comCabTit$ = "Vendas por Vendedor/Conta"           'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndVndCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = ctuCod$                                  'entidade - codigo
entCov$ = ctuCov$                                  'entidade - codigo formatado
entIde$ = ctuNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndVndCtu_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndVndCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndVndCtu_LinSbt1 'subtotal 1
call Com_Txt_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por vendedor/artigo -----------------------------------------
'------------------------------------------------------------------------------
Sub VndVndArt_Cab 'cabecalho
comCabTit$ = "Vendas por Vendedor/Artigo"          'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndVndArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = artCod$                                  'entidade - codigo
entCov$ = artCov$                                  'entidade - codigo formatado
entIde$ = artNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndVndArt_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndVndArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndVndArt_LinSbt1 'subtotal 1
call Com_Txt_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por vendedor/conta/artigo -----------------------------------
'------------------------------------------------------------------------------
Sub VndVndCtuArt_Cab 'cabecalho
comCabTit$ = "Vendas por Vendedor/Conta/Artigo"    'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndVndCtuArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = artCod$                                  'entidade - codigo
entCov$ = artCov$                                  'entidade - codigo formatado
entIde$ = artNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndVndCtuArt_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndVndCtuArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndVndCtuArt_LinSbt1 'subtotal 1
call Com_Txt_LinSbt1                               'listar
end sub


Sub VndVndCtuArt_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
call Com_Txt_LinTit2                               'listar
end sub


Sub VndVndCtuArt_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
call Com_Txt_LinSbt2                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por vendedor/artigo/conta -----------------------------------
'------------------------------------------------------------------------------
Sub VndVndArtCtu_Cab 'cabecalho
comCabTit$ = "Vendas por Vendedor/Artigo/Conta"    'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndVndArtCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = ctuCod$                                  'entidade - codigo
entCov$ = ctuCov$                                  'entidade - codigo formatado
entIde$ = ctuNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndVndArtCtu_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndVndArtCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndVndArtCtu_LinSbt1 'subtotal 1
call Com_Txt_LinSbt1                               'listar
end sub


Sub VndVndArtCtu_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
call Com_Txt_LinTit2                               'listar
end sub


Sub VndVndArtCtu_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
call Com_Txt_LinSbt2                               'listar
end sub


'==============================================================================
'- [XLS] - Listar para XLS ----------------------------------------------------
'==============================================================================

'==============================================================================
'= ART ========================================================================
'==============================================================================

'------------------------------------------------------------------------------
'- [XLS] - Vendas por artigo/armazem ------------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndArtArz_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Artigo/Armazem"           'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndArtArz_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndArtArz_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = arzCov$                                  'entidade - codigo formatado
vaNom$  = arzNom$                                  'entidade - identificacao

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndArtArz_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndArtArz_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndArtArz_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por artigo/conta --------------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndArtCtu_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Artigo/Conta"             'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndArtCtu_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndArtCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = ctuCov$                                  'entidade - codigo formatado
vaNom$  = ctuNom$                                  'entidade - identificacao

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndArtCtu_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndArtCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndArtCtu_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por artigo/vendedor -----------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndArtVnd_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Artigo/Vendedor"          'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndArtVnd_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndArtVnd_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = vndCov$                                  'entidade - codigo formatado
vaNom$  = vndNom$                                  'entidade - identificacao

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndArtVnd_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndArtVnd_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndArtVnd_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


'==============================================================================
'= ARZ ========================================================================
'==============================================================================

'------------------------------------------------------------------------------
'- [XLS] - Vendas por armazem/Artigo ------------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndArzArt_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Armazem/Artigo"           'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndArzArt_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndArzArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = artCov$                                  'codigo
vaNom$  = artNom$                                  'nome

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndArzArt_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndArzArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArz                                'preparar variaveis - armazem

titIde$ = arzIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndArzArt_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por armazem/Conta -------------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndArzCtu_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Armazem/Conta"            'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndArzCtu_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndArzCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = ctuCov$                                  'entidade - codigo formatado
vaNom$  = ctuNom$                                  'entidade - identificacao

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndArzCtu_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndArzCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArz                                'preparar variaveis - armazem

titIde$ = arzIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndArzCtu_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por armazem/vendedor ----------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndArzVnd_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Armazem/Vendedor"         'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndArzVnd_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndArzVnd_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = vndCov$                                  'entidade - codigo formatado
vaNom$  = vndNom$                                  'entidade - identificacao

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndArzVnd_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndArzVnd_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArz                                'preparar variaveis - armazem

titIde$ = arzIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndArzVnd_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


'==============================================================================
'= CTU ========================================================================
'==============================================================================

'------------------------------------------------------------------------------
'- [XLS] - Vendas por conta/artigo --------------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndCtuArt_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Conta/Artigo"             'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndCtuArt_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndCtuArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = artCov$                                  'codigo
vaNom$  = artNom$                                  'nome

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndCtuArt_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndCtuArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndCtuArt_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por conta/armazem -------------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndCtuArz_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Conta/Armazem"            'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndCtuArz_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndCtuArz_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = arzCov$                                  'codigo
vaNom$  = arzNom$                                  'nome

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndCtuArz_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndCtuArz_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndCtuArz_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por conta/vendedor ------------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndCtuVnd_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Conta/Vendedor"           'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndCtuVnd_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndCtuVnd_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = vndCov$                                  'codigo
vaNom$  = vndNom$                                  'nome

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndCtuVnd_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndCtuVnd_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndCtuVnd_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


'==============================================================================
'= VND ========================================================================
'==============================================================================

'------------------------------------------------------------------------------
'- [XLS] - Vendas por vendedor/artigo -----------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndVndArt_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Vendedor/Artigo"          'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndVndArt_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndVndArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = artCov$                                  'codigo
vaNom$  = artNom$                                  'nome

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndVndArt_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndVndArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndVndArt_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por vendedor/artigo/conta -----------------------------------
'------------------------------------------------------------------------------
Sub XlsVndVndArtCtu_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Vendedor/Artigo/Conta"    'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndVndArtCtu_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndVndArtCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = ctuCov$                                  'entidade - codigo formatado
vaNom$  = ctuNom$                                  'entidade - identificacao

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndVndArtCtu_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndVndArtCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndVndArtCtu_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


Sub XlsVndVndArtCtu_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
call Com_Xls_LinTit2                               'listar
end sub


Sub XlsVndVndArtCtu_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
call Com_Xls_LinSbt2                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por vendedor/armazem ----------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndVndArz_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Vendedor/Armazem"         'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndVndArz_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndVndArz_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = arzCov$                                  'codigo
vaNom$  = arzNom$                                  'nome

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndVndArz_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndVndArz_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndVndArz_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por vendedor/conta ------------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndVndCtu_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Vendedor/Conta"           'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndVndCtu_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndVndCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = ctuCov$                                  'entidade - codigo formatado
vaNom$  = ctuNom$                                  'entidade - identificacao

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndVndCtu_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndVndCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndVndCtu_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por vendedor/conta/artigo -----------------------------------
'------------------------------------------------------------------------------
Sub XlsVndVndCtuArt_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Vendedor/Conta/Artigo"    'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndVndCtuArt_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndVndCtuArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = artCov$                                  'codigo
vaNom$  = artNom$                                  'nome

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub XlsVndVndCtuArt_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndVndCtuArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndVndCtuArt_LinSbt1 'subtotal 1
call Com_Xls_LinSbt1                               'listar
end sub


Sub XlsVndVndCtuArt_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
call Com_Xls_LinTit2                               'listar
end sub


Sub XlsVndVndCtuArt_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
call Com_Xls_LinSbt2                               'listar
end sub


'==============================================================================
'- [EXP] - Exportar para XLS --------------------------------------------------
'==============================================================================
'------------------------------------------------------------------------------
'- [EXP] - Vendas por artigo/conta --------------------------------------------
'------------------------------------------------------------------------------
Sub ExpVndArtCtu_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Artigo/Conta"             'titulo

call Com_Xls_DocIni                                'inicializar documento

'definicao das colunas
coNrg    = 2                                       'numero de registos

coArtCod = 2                                       'artigo - codigo
coArtNom = 3                                       'artigo - nome

coCtuCod = 4                                       'conta - codigo
coCtuNom = 5                                       'conta - nome

coArzCod = 6                                       'armazem - codigo
coVndCod = 7                                       'vendedor - codigo

coResQu  = 8                                       'quantidade
coResVt  = 9                                       'valor
end sub


Sub ExpVndArtCtu_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub ExpVndArtCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

'listar
call Com_Xls_LstLinArt                             'listar artigo
call Com_Xls_LstLinCtu                             'listar conta
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub ExpVndArtCtu_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


'------------------------------------------------------------------------------
'- [EXP] - Vendas por artigo/conta/armazem ------------------------------------
'------------------------------------------------------------------------------
Sub ExpVndArtCtuArz_DocIni 'inicializar documento
'msgbox "", "ResXLS", "DocIni"

comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Artigo/Conta/Armazem"     'titulo

call Com_Xls_DocIni                                'inicializar documento

'definicao das colunas
coNrg    = 2                                       'numero de registos

coArtCod = 2                                       'artigo - codigo
coArtNom = 3                                       'artigo - nome

coCtuCod = 4                                       'conta - codigo
coCtuNom = 5                                       'conta - nome

coArzCod = 6                                       'armazem - codigo
coVndCod = 7                                       'vendedor - codigo

coResQu  = 8                                       'quantidade
coResVt  = 9                                       'valor
end sub


Sub ExpVndArtCtuArz_DocFim 'terminar documento
'msgbox "", "ResXLS", "DocFim"
call Com_Xls_DocFim                                'terminar documento
end sub


Sub ExpVndArtCtuArz_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

'listar
call Com_Xls_LstLinArt                             'listar artigo
call Com_Xls_LstLinCtu                             'listar conta
call Com_Xls_LstLinArz                             'listar armazem
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub ExpVndArtCtuArz_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


'------------------------------------------------------------------------------
'- [EXP] - Exportar vendas por artigo/conta/armazem/vendedor ------------------
'------------------------------------------------------------------------------
Sub ExpVndArtCtuArzVnd_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                             'nome do ficheiro
comCabTit$ = "Vendas por Artigo/Conta/Armazem/Vendedor"  'titulo

call Com_Xls_DocIni                                'inicializar documento

'definicao das colunas
coNrg    = 2                                       'numero de registos

coArtCod = 2                                       'artigo - codigo
coArtNom = 3                                       'artigo - nome

coCtuCod = 4                                       'conta - codigo
coCtuNom = 5                                       'conta - nome

coArzCod = 6                                       'armazem - codigo
coVndCod = 7                                       'vendedor - codigo

coResQu  = 8                                       'quantidade
coResVt  = 9                                       'valor
end sub


Sub ExpVndArtCtuArzVnd_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub ExpVndArtCtuArzVnd_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

'listar
call Com_Xls_LstLinArt                             'listar artigo
call Com_Xls_LstLinCtu                             'listar conta
call Com_Xls_LstLinArz                             'listar armazem
call Com_Xls_LstLinVnd                             'listar vendedor
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub ExpVndArtCtuArzVnd_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


'------------------------------------------------------------------------------
'- [EXP] - Exportar vendas por vendedor/conta ---------------------------------
'------------------------------------------------------------------------------
Sub ExpVndVndCtu_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Vendedor/Conta"           'titulo

call Com_Xls_DocIni                                'inicializar documento

'definicao das colunas
coNrg    = 2                                       'numero de registos

coArtCod = 2                                       'artigo - codigo
coArtNom = 3                                       'artigo - nome

coCtuCod = 4                                       'conta - codigo
coCtuNom = 5                                       'conta - nome

coArzCod = 6                                       'armazem - codigo
coVndCod = 7                                       'vendedor - codigo

coResQu  = 8                                       'quantidade
coResVt  = 9                                       'valor
end sub


Sub ExpVndVndCtu_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub ExpVndVndCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

'listar
call Com_Xls_LstLinCtu                             'listar conta
call Com_Xls_LstLinVnd                             'listar vendedor
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub ExpVndVndCtu_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


'------------------------------------------------------------------------------
'- [EXP] - Exportar vendas por vendedor/artigo --------------------------------
'------------------------------------------------------------------------------
Sub ExpVndVndArt_DocIni 'inicializar documento
comXlsFic$ = "StcResMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Vendedor/Artigo"          'titulo

call Com_Xls_DocIni                                'inicializar documento

'definicao das colunas
coNrg    = 2                                       'numero de registos

coArtCod = 2                                       'artigo - codigo
coArtNom = 3                                       'artigo - nome

coCtuCod = 4                                       'conta - codigo
coCtuNom = 5                                       'conta - nome

coArzCod = 6                                       'armazem - codigo
coVndCod = 7                                       'vendedor - codigo

coResQu  = 8                                       'quantidade
coResVt  = 9                                       'valor
end sub


Sub ExpVndVndArt_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub ExpVndVndArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

'listar
call Com_Xls_LstLinArt                             'listar artigo
call Com_Xls_LstLinVnd                             'listar vendedor
call Com_Xls_LstLinRes                             'listar resumo
end sub


Sub ExpVndVndArt_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub

##


'==============================================================================
#INC - Funcoes comuns
'==============================================================================
Funcoes comuns                         =[SIG_Dir.Div],LsComPgm.std
Funcoes comuns XLS                     =[SIG_LST_DIR.XLS],XlsCom_Pgm.inc
##
